<label>Server Name</label>
<input type="text" class="form-control" (input)="OnUpdateServerName($event)" />

<input type="text" class="form-control" [(ngModel)]="serverName" />
<p>{{ serverName }}</p>

<button
  class="btn btn-primary"
  [disabled]="!allowNewServer"
  (click)="onCreateServer()"
>
  Add Server
</button>

<p>{{ serverCreationStatus }}</p>
